Package org.eclipse.emf.cdo.security.impl

## Class DirectoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
        - - org.eclipse.emf.internal.cdo.CDOObjectImpl
          - - org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
            - - org.eclipse.emf.cdo.security.impl.SecurityElementImpl
              - - org.eclipse.emf.cdo.security.impl.SecurityItemImpl
                - - org.eclipse.emf.cdo.security.impl.DirectoryImpl

- All Implemented Interfaces:
    `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Directory`, `SecurityElement`, `SecurityItem`, `SecurityItemContainer`, `SecurityItemProvider`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

      public class DirectoryImpl
      extends SecurityItemImpl
      implements Directory

  An implementation of the model object 'Container'.

  The following features are implemented:

  - `Items`
  - `Name`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.security.Directory

      `GROUPS, ROLES, USERS`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DirectoryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Group` | `addGroup​(java.lang.String id)` |
    `Role` | `addRole​(java.lang.String id)` |
    `User` | `addUser​(java.lang.String id)` |
    `User` | `addUser​(java.lang.String id, java.lang.String password)` |
    `User` | `addUser​(org.eclipse.net4j.util.security.IPasswordCredentials credentials)` |
    `protected EClass` | `eStaticClass()`
    `Group` | `getGroup​(java.lang.String id)` |
    `EList<SecurityItem>` | `getItems()`
    `java.lang.String` | `getName()`
    `Role` | `getRole​(java.lang.String id)` |
    `User` | `getUser​(java.lang.String id)` |
    `Group` | `removeGroup​(java.lang.String id)` |
    `Role` | `removeRole​(java.lang.String id)` |
    `User` | `removeUser​(java.lang.String id)` |
    `void` | `setName​(java.lang.String newName)`
    `User` | `setPassword​(java.lang.String id, java.lang.String password)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.SecurityElementImpl

      `getRealm`

    - ### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

      `eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticFeatureCount, eUnset, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

      `cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

      `eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

- - ### Constructor Detail

    - #### DirectoryImpl

          protected DirectoryImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SecurityItemImpl`
      Generated

    - #### getItems

          public EList<SecurityItem> getItems()

      Specified by:
        `getItems` in interface `Directory`
      Returns:
        the value of the 'Items' containment reference list.
      See Also:
        `SecurityPackage.getDirectory_Items()`
      Generated

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Directory`
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `Directory.setName(String)`, `SecurityPackage.getDirectory_Name()`
      Generated

    - #### setName

          public void setName​(java.lang.String newName)

      Specified by:
        `setName` in interface `Directory`
      Parameters:
        `newName` - the new value of the 'Name' attribute.
      See Also:
        `Directory.getName()`
      Generated

    - #### getRole

          public Role getRole​(java.lang.String id)

      Specified by:
        `getRole` in interface `SecurityItemProvider`
      Since:
        4.2

    - #### getGroup

          public Group getGroup​(java.lang.String id)

      Specified by:
        `getGroup` in interface `SecurityItemProvider`
      Since:
        4.2

    - #### getUser

          public User getUser​(java.lang.String id)

      Specified by:
        `getUser` in interface `SecurityItemProvider`
      Since:
        4.2

    - #### addRole

          public Role addRole​(java.lang.String id)

      Specified by:
        `addRole` in interface `SecurityItemContainer`
      Since:
        4.2

    - #### addGroup

          public Group addGroup​(java.lang.String id)

      Specified by:
        `addGroup` in interface `SecurityItemContainer`
      Since:
        4.2

    - #### addUser

          public User addUser​(java.lang.String id)

      Specified by:
        `addUser` in interface `SecurityItemContainer`
      Since:
        4.2

    - #### addUser

          public User addUser​(java.lang.String id,
                              java.lang.String password)

      Specified by:
        `addUser` in interface `SecurityItemContainer`
      Since:
        4.2

    - #### addUser

          public User addUser​(org.eclipse.net4j.util.security.IPasswordCredentials credentials)

      Specified by:
        `addUser` in interface `SecurityItemContainer`
      Since:
        4.3

    - #### setPassword

          public User setPassword​(java.lang.String id,
                                  java.lang.String password)

      Specified by:
        `setPassword` in interface `SecurityItemContainer`
      Since:
        4.3

    - #### removeRole

          public Role removeRole​(java.lang.String id)

      Specified by:
        `removeRole` in interface `SecurityItemContainer`
      Since:
        4.2

    - #### removeGroup

          public Group removeGroup​(java.lang.String id)

      Specified by:
        `removeGroup` in interface `SecurityItemContainer`
      Since:
        4.2

    - #### removeUser

          public User removeUser​(java.lang.String id)

      Specified by:
        `removeUser` in interface `SecurityItemContainer`
      Since:
        4.2